Bug 1954177 - machine-api: admissionReviewVersions v1beta1 is going to be removed in 1.22
Summary: machine-api: admissionReviewVersions v1beta1 is going to be removed in 1.22
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Michael McCune
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks: 1954184
TreeView+ depends on / blocked
 
Reported: 2021-04-27 18:05 UTC by Stefan Schimanski
Modified: 2021-07-27 23:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1954187 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:04:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-actuator-pkg pull 210 0 None open Bug 1954177: mark webhook tests as pending 2021-05-03 12:58:57 UTC
Github openshift cluster-api-actuator-pkg pull 211 0 None open Bug 1954177: Update mao dependency and revert pending webhook tests 2021-05-04 15:16:46 UTC
Github openshift cluster-api-provider-aws pull 407 0 None open Bug 1954177: Update mao dependency for webhook v1 changes 2021-05-04 15:45:44 UTC
Github openshift cluster-api-provider-azure pull 216 0 None open Bug 1954177: Update mao dependency for webhook v1 changes 2021-05-04 15:48:37 UTC
Github openshift cluster-api-provider-baremetal pull 151 0 None open Bug 1954177: Update mao dependency for webhook v1 changes 2021-05-04 15:54:06 UTC
Github openshift cluster-api-provider-gcp pull 161 0 None open Bug 1954177: Update mao dependency for webhook v1 changes 2021-05-04 15:56:49 UTC
Github openshift cluster-api-provider-kubevirt pull 35 0 None open Bug 1954177: Update mao dependency for webhook v1 changes 2021-05-04 16:13:03 UTC
Github openshift cluster-api-provider-openstack pull 180 0 None None None 2021-05-04 16:09:23 UTC
Github openshift cluster-api-provider-ovirt pull 103 0 None open Bug 1954177: Update mao dependency for webhook v1 changes 2021-05-05 18:52:29 UTC
Github openshift machine-api-operator pull 855 0 None open Bug 1954177: update AdmissionReviewVersions to v1 2021-04-27 21:38:54 UTC
Github openshift machine-api-operator pull 862 0 None open Bug 1954177: add constant variable back into machine v1beta1 2021-05-04 18:35:14 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:04:22 UTC

Description Stefan Schimanski 2021-04-27 18:05:06 UTC
Description of problem:

machine-api admission webhook uses admissionReviewVersions v1beta1.

Steps to Reproduce:
1. kubectl get mutatingwebhookconfigurations.admissionregistration.k8s.io -o yaml
2. check webhooks[*].admissionReviewVersions

Expected results:
v1

Comment 1 Stefan Schimanski 2021-04-27 18:07:35 UTC
mutatingwebhookconfiguration name is machine-api.

Comment 2 Stefan Schimanski 2021-04-27 18:11:03 UTC
Same for pod-identity-webhook mutatingwebhookconfiguration.

Comment 3 Stefan Schimanski 2021-04-27 18:20:34 UTC
Same for autoscaling.openshift.io.

Comment 4 Michael McCune 2021-04-27 21:43:26 UTC
(In reply to Stefan Schimanski from comment #3)
> Same for autoscaling.openshift.io.

i'm not seeing any references to the admissionReviewVersions in our cluster-autoscaler or operator, are there any more details about this?

Comment 5 Joel Speed 2021-04-28 09:53:02 UTC
There is already a PR in flight for the CAO changes that are required here, but it is not ready to merge just yet https://github.com/openshift/cluster-autoscaler-operator/pull/202

Comment 7 Michael McCune 2021-05-04 15:10:11 UTC
i am setting this back to ASSIGNED status, there are a few more patches required to finish this. mainly the machine-api-operator needs to be re-vendored back to the providers and testing repositories.

Comment 9 sunzhaohua 2021-05-20 03:27:44 UTC
$  oc get ValidatingWebhookConfiguration multus.openshift.io -o yaml | grep admissionReviewVersions -A 1
- admissionReviewVersions:
  - v1

Comment 12 errata-xmlrpc 2021-07-27 23:04:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.